## macaulay2 1.17.1%2Bds

=== BUILD/docker/fedora/Makefile ===
include ../ubuntu/Makefile

## Parameters
TAG = m2-fedora-build
BUILD_DIR = M2/BUILD/build-docker
BUILD_OPT = -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr

rpm:;       docker run $(VOLUME) -it --entrypoint "" $(TAG) bash -c "cd $(BUILD_DIR); cpack -G RPM"

rpmlint:;   docker run $(VOLUME) -it --entrypoint "" $(TAG) bash -c "rpmlint $(BUILD_DIR)/Macaulay2-*.rpm"

=== debian/control ===
Source: macaulay2
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: 4ti2,
               bison,
               cohomcalg,
               coinor-csdp,
               debhelper-compat (= 13),
               dh-elpa,
               dh-linktree,
               fflas-ffpack,
               flex,
               gfan,
               install-info,
               libatomic-ops-dev,
               libboost-dev,
               libboost-regex-dev,
               libboost-stacktrace-dev,
               libcdd-dev,
               libeigen3-dev,
               libflint-dev (>= 2.6.0~),
               libfrobby-dev,
               libgc-dev,
               libgdbm-dev,
               libgivaro-dev,
               libglpk-dev,
               libgtest-dev,
               liblapack-dev,
               liblzma-dev,
               libmathic-dev,
               libmathicgb-dev,
               libmemtailor-dev,
               libmpfr-dev,
               libmps-dev,
               libntl-dev,
               libreadline-dev,
               libsingular-dev,
               libxml2-dev,
               lrslib,
               lsb-release,
               nauty,
               normaliz,
               pkg-config,
               singular-data,
               time,
               topcom
Build-Depends-Indep: fonts-glyphicons-halflings,
                     fonts-katex,
                     jdupes,
                     libjs-bootstrap,
                     libjs-d3,
                     libjs-jquery (>= 3.5.1+dfsg+~3.5.5-4),
                     libjs-katex,
                     libjs-three,
                     libjs-underscore,
                     node-clipboard,
                     w3c-markup-validator
Standards-Version: 4.5.1
Homepage: http://macaulay2.com
Vcs-Browser: https://salsa.debian.org/science-team/macaulay2
Vcs-Git: https://salsa.debian.org/science-team/macaulay2.git
Rules-Requires-Root: no

Package: macaulay2
Architecture: any
Depends: macaulay2-common (= ${source:Version}),
         singular-data,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: 4ti2,
            cohomcalg,
            coinor-csdp,
            elpa-macaulay2 (= ${source:Version}),
            gfan,
            info,
            lrslib,
            nauty,
            normaliz,
            texlive-latex-base,
            topcom,
            www-browser,
            xdg-utils,
            xterm
Suggests: dot2tex, fig2dev, graphviz, imagemagick, pdf-viewer, polymake, sdpa
Description: Software system for algebraic geometry research
 Macaulay 2 is a software system for algebraic geometry research, written by
 Daniel R. Grayson and Michael E. Stillman.  Based on Groebner bases, it
 provides algorithms for computing homological invariants of rings and
 modules.
 .
 This package contains the architecture dependent portion of Macaulay2.

Package: macaulay2-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Software system for algebraic geometry research (common files)
 Macaulay 2 is a software system for algebraic geometry research, written by
 Daniel R. Grayson and Michael E. Stillman.  Based on Groebner bases, it
 provides algorithms for computing homological invariants of rings and
 modules.
 .
 This package contains the architecture independent portion of Macaulay2, and is
 normally installed automatically when one of the architecture dependent
 packages is installed.

Package: elpa-macaulay2
Architecture: all
Multi-Arch: foreign
Section: editors
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs
Description: Software system for algebraic geometry research (Emacs package)
 Macaulay 2 is a software system for algebraic geometry research, written by
 Daniel R. Grayson and Michael E. Stillman.  Based on Groebner bases, it
 provides algorithms for computing homological invariants of rings and
 modules.
 .
 This package contains the modes for running Macaulay2 within Emacs and
 editing Macaulay2 code.

=== debian/tests/control ===
Test-Command:
  M2 --silent -q -e 'stderr << netList {"BASIC TESTS"} << endl; exit 0' &&
  M2 --silent --check 1 -q --stop -E "exit 0" &&
  M2 --silent -q -e 'stderr << netList {"CORE TESTS"} << endl; exit 0' &&
  M2 --silent --check 2 -q &&
  M2 --silent -q -e 'stderr << netList {"PACKAGE TESTS"} << endl; exit 0' &&
  M2 --silent --check 3 -q
Depends: 4ti2,
         cohomcalg,
         coinor-csdp,
         gfan,
         nauty,
         normaliz,
         polymake,
         topcom,
         @
Restrictions: allow-stderr
